﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace frmFinal
{
    public partial class frmDetails : Form
    {
        int _PhraseID; //int variable to store ID passed by value
      //  char _CharID; //char variable to store editing mode passed by constructor

        public frmDetails(int PhraseID) //form constructor that accepts an integer
        {
            _PhraseID = PhraseID; //value passed from other form is store as _PhraseID on this form
          //  _CharID = CharID; //accepts passed table-editing mode by constructor for use on this form
            InitializeComponent(); //form is initialized
        }

        private void frmDetails_Load(object sender, EventArgs e) //event handler method as form loads
        {
            // TODO: This line of code loads data into the 'phrasesDataSet.tblPhrases' table. You can move, or remove it, as needed.
            this.tblPhrasesTableAdapter.FillByID(this.phrasesDataSet.tblPhrases, _PhraseID); //fill form fields by ID of currently selected item

        }
        
        private void closeButton_Click(object sender, EventArgs e) //event handler for close button click
        {
            //close the details form
            this.Close();
        }

        private void deleteButton_Click(object sender, EventArgs e) //event handler for user trying to delete entry from data
        {
            string title = "Confirm Delete?";
            string message = "Are you sure you want to delete this entry?";
            MessageBoxButtons buttons = MessageBoxButtons.YesNo;
            DialogResult result = MessageBox.Show(message, title, buttons); //displays messagebox verifying that user confirm entry delete
            if (result == DialogResult.Yes)
            {
                this.tblPhrasesTableAdapter.DeleteQuery(_PhraseID); //if confirmed, deletes row that matches that ID
                this.Close(); //closes details form
            }
        }

        private void publishButton_Click(object sender, EventArgs e)
        {
            //validate that form fields contain data
            if (phraseEnglishTextBox.Text == "")
            {
                MessageBox.Show("Please enter an English phrase.");
            }
            else if (phraseUkrainianTextBox.Text == "")
            {
                MessageBox.Show("Please enter a Ukrainian phrase.");
            }
            else if (phraseIPATextBox.Text == "")
            {
                MessageBox.Show("Please enter an International Phonetic Alphabet transliteration of this Ukrainian phrase.");
            }
            else
            {
                //save additions or changes
                this.Validate();
                this.tblPhrasesBindingSource.EndEdit();
                this.tableAdapterManager.UpdateAll(this.phrasesDataSet);
                //close the details form
                this.Close();

            }
        }
    }
}
